using System;
using Newtonsoft.Json;

namespace Alipay.AopSdk.Core.Domain
{
	/// <summary>
	///     TemplateColumnInfoDTO Data Structure.
	/// </summary>
	[Serializable]
	public class TemplateColumnInfoDTO : AopObject
	{
		/// <summary>
		///     标准栏位：行为由支付宝统一定，同时已经分配标准Code  BALANCE：会员卡余额  POINT：积分  LEVEL：等级  TELEPHONE：联系方式  自定义栏位：行为由商户定义，自定义Code码（只要无重复）
		/// </summary>
		[JsonProperty("code")]
		public string Code { get; set; }

		/// <summary>
		///     扩展信息
		/// </summary>
		[JsonProperty("more_info")]
		public MoreInfoDTO MoreInfo { get; set; }

		/// <summary>
		///     1、openNative：打开二级页面，展现 more中descs  2、openWeb：打开URL  3、staticinfo：静态信息  注意：  不填则默认staticinfo；
		///     标准code尽量使用staticinfo，例如TELEPHONE商家电话栏位就只支持staticinfo；
		/// </summary>
		[JsonProperty("operate_type")]
		public string OperateType { get; set; }

		/// <summary>
		///     栏目的标题
		/// </summary>
		[JsonProperty("title")]
		public string Title { get; set; }

		/// <summary>
		///     卡包详情页面，卡栏位右边展现的值    TELEPHONE栏位的商家联系电话号码由此value字段传入
		/// </summary>
		[JsonProperty("value")]
		public string Value { get; set; }
	}
}